Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2569383002: Enable ARM NEON in Blink if compiling with Clang (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 months, 2 weeks ago by Simon Hosie
Modified:
9 months, 1 week ago
Reviewers:
cavalcantii1, Nico
CC:
chromium-reviews, blink-reviews, blink-reviews-wtf_chromium.org, Mikhail, Nico, esprehn
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Enable ARM NEON in Blink if compiling with Clang Clang declares itself as GCC 4.2.1, which fails a GCC_VERSION test in wtf/CPU.h and consequently disables NEON code in Blink. BUG=673067 Change-Id: I1e7a28996ab4d016cbc3039556384f00fb3e7034 Committed: https://crrev.com/6a66b7eda01fb58b0393ecd4f8086ebab0f25e5a Cr-Commit-Position: refs/heads/master@{#439903}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2 lines, -1 line) Patch
M third_party/WebKit/Source/wtf/CPU.h View 1 chunk +2 lines, -1 line 0 comments Download
Trybot results:  android_arm64_dbg_recipe   android_n5x_swarming_rel   linux_chromium_rel_ng   win_chromium_rel_ng   mac_chromium_rel_ng   linux_android_rel_ng   linux_chromium_chromeos_ozone_rel_ng   win_chromium_x64_rel_ng   android_clang_dbg_recipe   chromeos_daisy_chromium_compile_only_ng   linux_chromium_compile_dbg_ng   cast_shell_linux   win_clang   chromeos_amd64-generic_chromium_compile_only_ng   android_compile_dbg   cast_shell_android   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   android_cronet   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   android_arm64_dbg_recipe   android_n5x_swarming_rel   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_arm64_dbg_recipe   android_clang_dbg_recipe   linux_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   linux_chromium_rel_ng   ios-device   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_linux   cast_shell_android   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   win_chromium_rel_ng   linux_android_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-device   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit 
Commit queue not available (can’t edit this change).

Messages

Total messages: 25 (13 generated)
Simon Hosie
9 months, 1 week ago (2016-12-15 01:18:46 UTC) #5
Nico
lgtm
9 months, 1 week ago (2016-12-15 01:19:45 UTC) #7
Simon Hosie
9 months, 1 week ago (2016-12-15 01:20:03 UTC) #8
cavalcantii1
Adding it to the CQ.
9 months, 1 week ago (2016-12-15 18:51:48 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2569383002/1
9 months, 1 week ago (2016-12-15 18:52:23 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/357336)
9 months, 1 week ago (2016-12-15 21:42:13 UTC) #13
cavalcantii1
The blocker issues have landed (https://codereview.chromium.org/2579773003/), I'm adding it to the CQ.
9 months, 1 week ago (2016-12-19 18:39:24 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2569383002/1
9 months, 1 week ago (2016-12-19 18:40:17 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/335702)
9 months, 1 week ago (2016-12-19 20:43:58 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2569383002/1
9 months, 1 week ago (2016-12-20 19:03:30 UTC) #20
commit-bot: I haz the power
Committed patchset #1 (id:1)
9 months, 1 week ago (2016-12-20 22:57:42 UTC) #23
commit-bot: I haz the power
9 months, 1 week ago (2016-12-20 23:01:34 UTC) #25
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/6a66b7eda01fb58b0393ecd4f8086ebab0f25e5a
Cr-Commit-Position: refs/heads/master@{#439903}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b